#
# spec file for package pam_ccreds
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pam_ccreds
Version:        10
Release:        27.10
Summary:        Pam module to cache login credentials
License:        GPL-2.0-or-later
Group:          Productivity/Security
URL:            http://www.padl.com/OSS/pam_ccreds.html

Source:         pam_ccreds-%{version}.tar.bz2
Source2:        baselibs.conf
Patch1:         pam_ccreds-readme-fix.dif
Patch2:         pam_ccreds-db6.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  automake
BuildRequires:  db-devel
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
Requires:       db
Requires:       pam

%description
The pam_ccreds module provides the means for Linux workstations to
locally authenticate using an enterprise identity when the network is
unavailable. Used in conjunction with the nss_updatedb utility, it
provides a mechanism for disconnected use of network directories.

%prep
%setup -q
%patch -P 1 -p0
%patch -P 2 -p1

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0
autoreconf --verbose --force --install
%configure --libdir=/%{_lib} --with-pamdir=%{_pam_moduledir}
make %{?_smp_mflags}

%install
install -d 755 %{buildroot}%{_pam_moduledir}
install -m 755 pam_ccreds.so %{buildroot}%{_pam_moduledir}

%files
%defattr(444,root,root,755)
%doc README COPYING pam.conf
%attr(555,root,root) %{_pam_moduledir}/pam_ccreds.so

%changelog
* Mon Oct  4 2021 Josef Möllers <josef.moellers@suse.com>
- Use the %%_pam_moduledir macro in pam_ccreds.spec in order to
  have the package follow UsrMerge.
  [bsc#1190947, pam_ccreds.spec]
* Fri Jun 14 2013 jengelh@inai.de
- Add pam_ccreds-db6.diff to fix compile abort with db >= 5
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Wed Dec  7 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Mon Jul 27 2009 mc@novell.com
- version 10
  * don't try to store/validate empty passwords in cc_test
  * fix dependencies
* Wed Jun 24 2009 sbrabec@suse.cz
- Supplement pam-32bit/pam-64bit in baselibs.conf (bnc#354164).
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  2 2008 mc@suse.de
- version 8
- remove ccreds_file parameter
- makes it possible to select gnuTLS (gcrypt) instead of
  OpenSSL during compile time (--enable-gcrypt)
- fix dbopen() usage for Berkeley DB 3
- add usage option to cc_dump
- BUG#227: verify password via ccreds_chkpwd for
  non-root users
* Mon Jul  9 2007 mc@suse.de
- remove empty NEWS file
* Sun Oct 29 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Aug  2 2006 mc@suse.de
- Update to version 4
  * build fix (include syslog.h)
- remove patch, is upstream now.
- add patch for the README file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 22 2005 varkoly@suse.de
- Update to version 3
* Wed Oct 26 2005 schubi@suse.de
- Update to version 2
* Mon Oct 10 2005 schubi@suse.de
- included syslog
* Fri Feb 25 2005 schubi@suse.de
- Doku added
* Wed Feb 23 2005 schubi@suse.de
- initial
